<?php 

/*
* Plugin Name : Generate Custom Template
* Plugin Author : Syed Umair Hussain Shah
* Support : go to umairshahblog.blogspot.com
*/
function GCTListingPage()
{
    global $wpdb;

    $results = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}gct_content ORDER BY id desc " );
	echo '
	<hr class="wp-header-end">
	<table class="wp-list-table widefat fixed striped users">
		<thead>
			<tr>	
				<th scope="col" id="template-name" class="manage-column column-name">Template Name</th>
				<th scope="col" id="template-file-name" class="manage-column column-name">Template File Name</th>
				<th scope="col" id="template-file-content" class="manage-column column-name">Template Content</th>
			</tr>
		</thead>
        <tbody id="the-list" data-wp-lists="list:templates">';
		if(!empty($results) && isset($results)) :
		foreach($results as $result):
			echo'<tr>
				<td class="username column-username has-row-actions column-primary" data-colname="Template Name"> <strong>'.sanitize_text_field($result->template_name).'</strong></td>
				<td class="name column-name" data-colname="Template File Name"> '.sanitize_text_field($result->template_file_name).'</td>
				<td class="email column-email" data-colname="Template Content"> '.  wp_kses_decode_entities($result->template_content).'</td>
			</tr>';	
		endforeach;
		else :
			echo'<tr>
			<td class="no-record-found column-no-record-found has-row-actions column-primary" colspan="3"><strong>No records found.</strong></td>
		</tr>';	
		endif;
	echo'		
			<tfoot>
				<tr>
                    <th scope="col" id="template-name" class="manage-column column-name">Template Name</th>
                    <th scope="col" id="template-file-name" class="manage-column column-name">Template File Name</th>
                    <th scope="col" id="template-file-content" class="manage-column column-name">Template Content</th>
				</tr>
			</tfoot>
		</tbody>
	</table>';
}