<?php 

/*
* Plugin Name : Generate Custom Template
* Plugin Author : Syed Umair Hussain Shah
* Support : go to umairshahblog.blogspot.com
*/


/****** Register Main Menu ******/
add_action('admin_menu', 'GCT_Plugin_Menu');



/****** Create Menu ******/
function GCT_Plugin_Menu()
{
	add_menu_page( 'Generate Custom Template', 'Generate Custom Template', 'manage_options', 'generate_custom_template', 'GCT_Page_Tuning');
	add_submenu_page( 'generate_custom_template', 'Author', 'Author', 'manage_options', 'generate_template_plugin_author',  'GCT_Page_Author');
	add_submenu_page( 'generate_custom_template', 'Listing', 'Listing', 'manage_options', 'generate_template_plugin_listing',  'GCT_Page_Listing');
}



/****** Create Menu Page ******/
function GCT_Page_Tuning()
{
	if( current_user_can( 'manage_options' )) 
	{
        require( dirname( __FILE__ ) . '/tuning.php' );
		add_settings_section( "page_section", "Generate Custom Template", "GCTFormPage", "GCT-Page-Section" );
		do_settings_sections("GCT-Page-Section");
	}
}

/****** Create Menu Page ******/
function GCT_Page_Author()
{
	if( current_user_can( 'manage_options' )) 
	{
		require( dirname( __FILE__ ) . '/author.php' );
	}
}


function GCT_Page_Listing()
{
	if( current_user_can( 'manage_options' )) 
	{
        require( dirname( __FILE__ ) . '/listing.php' );
		add_settings_section( "page_section", "Listing", "GCTListingPage", "GCT-Page-Listing-Section" );
		do_settings_sections("GCT-Page-Listing-Section");
	}
}

?>